****************************************************************************
*                                                                          *
*                        The University of Western Ontario                 *
*                        London                     Canada                 *
*                                                                          *
*                       Social Science Computing Laboratory                *
*                            Faculty of Social Science                     *
*                           Network Data Library System                    *
*                                                                          *
****************************************************************************
****************************************************************************
*                                                                          *
* This SPSS for Windows data set description was generated on              *
* 28-FEB-2000 11:32:53.99 to describe a data set                           *
* extracted from the NDLS source file GSS_CANADA_1994     .                *
*                                                                          *
****************************************************************************.
TITLE   "SPSS File Setup For NDLS Extraction".
FILE LABEL       General Social Survey: Canada, cycle 9.
****************************************************************************
* Replace NDLSIN with the name of the data subset file as noted in         *
* the log file.  Be sure to use DOS syntax when naming the data            *
* file. Enclose the name of the data subset file (including path)          *
* in double quotes.                                                        *
*                                                                          *
* The RECORDS option indicates the number of records per case.             *
****************************************************************************.
DATA LIST
        FILE = NDLSIN
        RECORDS = 1
  /1    CASEID   1 - 8
        PERWGHT  9 - 17 (4)
        A3       18 - 19
        DVA15    20 - 21
        G9       22 - 23 (0)
        H2       24 - 25 (0)
        H4       26 - 27 (0)
        DVH19    28 - 31 (0)
        DVH20    32 - 33 (0)
        H21      34 - 35 (0)
        H42A     36
        H42B     37
        DVUN5YRS 38
        DVSEX    39
        DVAGEGR  40 - 41
        DVPERINC 42 - 49 (0)
        DVPERNEW 50 - 51.
****************************************************************************
* Variable label definitions                                               *
****************************************************************************.
VARIABLE LABELS
        CASEID   "Record identification number"  
        PERWGHT  "Person weight"  
        A3       "Years of elementary/high school complete"  
        DVA15    "Highest level of education attained"  
        G9       "Number of weeks worked (all jobs) last 1"  
        H2       "Number of hours worked per week (unique"  
        H4       "No. of hrs worked per week (Job with mos"  
        DVH19    "Year started working for the company - C"  
        DVH20    "No. of yrs performing same functions - C"  
        H21      "Weeks worked past 12 months - Current jo"  
        H42A     "Union member at work - Current job"  
        H42B     "Covered by union/collect. agreement - Cu"  
        DVUN5YRS "Union membership - Job 5 years ago"  
        DVSEX    "Sex of respondent"  
        DVAGEGR  "Age of respondent - 5 year age group"  
        DVPERINC "Employment income (dollars)"  
        DVPERNEW "Wage or salary schedule for value in DVP".
****************************************************************************
* Value label definitions                                                  *
****************************************************************************.
VALUE LABELS
        A3        0 "NO SCHOOLING"
                  1 "ONE TO FIVE YEARS"
                  2 "SIX YEARS"
                  3 "SEVEN YEARS"
                  4 "EIGHT YEARS"
                  5 "NINE YEARS"
                  6 "TEN YEARS"
                  7 "ELEVEN YEARS"
                  8 "TWELVE YEARS"
                  9 "THIRTEEN YEARS"
                 98 "DO NOT KNOW"
                 99 "NOT STATED" /
        DVA15     1 "MASTERS OR EARNED DO"
                  2 "BACHELOR/UNDERGRAD/T"
                  3 "DIPL/CERT. FROM COMM"
                  4 "DIP FROM TRADE/TECH/"
                  5 "SOME UNIVERSITY"
                  6 "SOME COMMUNITY COLLE"
                  7 "SOME TRADE/TECH/VOC/"
                  8 "HIGH SCHOOL DIPLOMA"
                  9 "LESS THAN HIGH SCHOO"
                 10 "NO SCHOOLING"
                 98 "DO NOT KNOW"
                 99 "NOT STATED" /
        G9       97 "NOT APPLICABLE"
                 98 "DO NOT KNOW"
                 99 "NOT STATED" /
        H2       97 "NOT APPLICABLE"
                 98 "DO NOT KNOW"
                 99 "NOT STATED" /
        H4       97 "NOT APPLICABLE"
                 98 "DO NOT KNOW"
                 99 "NOT STATED" /
        DVH19    9997 "NOT APPLICABLE"
                 9998 "DO NOT KNOW"
                 9999 "NOT STATED" /
        DVH20    31 "31 YEARS OR MORE"
                 97 "NOT APPLICABLE"
                 98 "DO NOT KNOW"
                 99 "NOT STATED" /
        H21      97 "NOT APPLICABLE"
                 98 "DO NOT KNOW"
                 99 "NOT STATED" /
        H42A     0 "NOT APPLICABLE"
                 1 "YES"
                 2 "NO"
                 8 "DO NOT KNOW"
                 9 "NOT STATED" /
        H42B     0 "NOT APPLICABLE"
                 1 "YES"
                 2 "NO"
                 8 "DO NOT KNOW"
                 9 "NOT STATED" /
        DVUN5YRS 0 "NOT APPLICABLE"
                 1 "YES"
                 2 "NO"
                 8 "DO NOT KNOW"
                 9 "NOT STATED" /
        DVSEX    1 "MALE"
                 2 "FEMALE" /
        DVAGEGR   1 "15 TO 17"
                  2 "18 TO 19"
                  3 "20 TO 24"
                  4 "25 TO 29"
                  5 "30 TO 34"
                  6 "35 TO 39"
                  7 "40 TO 44"
                  8 "45 TO 49"
                  9 "50 TO 54"
                 10 "55 TO 59"
                 11 "60 TO 64"
                 12 "65 TO 69"
                 13 "70 TO 74"
                 14 "75 TO 79"
                 15 "80 AND OVER" /
        DVPERINC        0 "NO INCOME OR LOSS"
                 10000000 "$100,000 OR MORE"
                 99999997 "NOT APPLICABLE"
                 99999998 "DO NOT KNOW"
                 99999999 "NOT STATED" /
        DVPERNEW  1 "HOURLY"
                  2 "DAILY"
                  3 "WEEKLY"
                  4 "EVERY TWO WEEKS"
                  5 "TWICE A MONTH"
                  6 "MONTHLY"
                  7 "YEARLY"
                  8 "OTHER"
                 97 "NOT APPLICABLE"
                 98 "DO NOT KNOW"
                 99 "NOT STATED".
****************************************************************************
* Missing value definitions                                                *
****************************************************************************.
MISSING VALUES
        A3       (98, 99) /
        DVA15    (98, 99) /
        G9       (97, 98, 99) /
        H2       (97, 98, 99) /
        H4       (97, 98, 99) /
        DVH19    (9997, 9998, 9999) /
        DVH20    (97, 98, 99) /
        H21      (97, 98, 99) /
        H42A     (0, 8, 9) /
        H42B     (0, 8, 9) /
        DVUN5YRS (0, 8, 9) /
        DVPERINC (99999997, 99999998, 99999999) /
        DVPERNEW (97, 98, 99).
****************************************************************************
* Use the File menu on SPSS for Windows to create an SPSS data file.       *
****************************************************************************.
EXECUTE.
